Tpay
DOCS

Payment Slip

A Payment Slip is a dedicated payment method primarily aimed at:

  • Payers with accounts in banks not supported by Tpay;
  • Payers who prefer to make payments in person at a postal/bank counter.

Transfer details (recipient account number, transfer title, amount, recipient name) should be copied from the Transaction Panel.

The booking time ranges from 2 to 5 business days.

Payment Slip transaction

Process Payment Slip payments using the transaction creation endpoint by providing channelId: 29.

Send a request to create a Payment Slip transaction

To create a Payment Slip transaction, send a POST request to the endpoint:

https://api.tpay.com/transactions/

In the request, specify the following parameters:

amount
 *
Transaction amount.
description
 *
Description of the transaction visible to the payer.
payer.email
Payer's email address.
payer.name
Payer's full name.
pay.channelId
Payment channel identifier for Payment Slip: 29.

* Fields required.

The basic request body should look like this:

{
  "amount": 0.1,
  "description": "Testowa transakcja Druczek",
  "payer": {
    "email": "[email protected]",
    "name": "Jan Nowak"
  },
  "pay": {
    "channelId": 29
  }
}

Example:

curl --location 'https://api.tpay.com/transactions' \
--header 'Authorization: Bearer <access_token>' \
--header 'Content-Type: application/json' \
--data-raw '{
   "amount": 0.1,
   "description": "Testowa transakcja Druczek",
   "payer": {
      "email": "[email protected]",
      "name": "Jan Nowak"
   },
   "pay": {
      "channelId": 29
   }
}'

After sending the request, you will receive a TransactionCreated schema in the response.

The key response parameters are:

result
success - The transaction was successfully created.
status
pending - The transaction is awaiting payment.
transactionId
Unique transaction identifier.
transactionPaymentUrl
URL to redirect the payer to.
Note

Store the transactionId parameter in your system. More about transactionId.

Redirect the payer to the Transaction Panel

Redirect the payer to the URL contained in the response in the transactionPaymentUrl field.

Handle notification

We will notify you about the transaction status via transaction posting notifications.